## rpy2 2.1.3

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/rpy2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/rpy2.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

## rpy2 2.3.9

=== doc/Makefile ===
--- 
+++ 
@@ -28,6 +28,15 @@
 
 clean:
 	-rm -rf build/*
+
+
+demo_benchmark:
+	@cd source/_static/demos && python benchmarks.py
+
+demo_graphics:
+	@cd source/_static/demos && python benchmarks.py
+
+demo_all: demo_graphics demo_benchmark
 
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html

## rpy2 2.4.4

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

rpy2demo_benchmark:
	@cd _static/demos && python benchmarks.py

rpy2demo_graphics:
	@cd _static/demos && python graphics.py

rpy2demo_all: rpy2demo_graphics rpy2demo_benchmark

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/rpy2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/rpy2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/rpy2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/rpy2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## rpy2 2.9.3

=== debian/changelog ===
rpy2 (2.9.3-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.4 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Wed, 18 Apr 2018 02:16:47 +0000

rpy2 (2.9.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

  * setup.py: Don't die on python2 as our package system imposes python3

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 16 Apr 2018 21:34:03 -0500

rpy2 (2.9.2-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

  * setup.py: Don't die on python2 as our package system imposes python3

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Jan 2018 15:59:24 -0600

rpy2 (2.9.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

  * setup.py: Don't die on python2 as our package system can impose it

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Nov 2017 21:07:59 -0600

rpy2 (2.9.0-2) unstable; urgency=medium

  * debian/control: Add Depends: on python3-jinja2 	(Closes: #875896)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 15 Sep 2017 12:46:34 -0500

rpy2 (2.9.0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version 

  * debian/control: Remove python2 remnants as only Python3 supported upstream
  
 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Aug 2017 20:22:48 -0500

rpy2 (2.8.6-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version 

  * debian/python3-rpy2.lintian-overrides: Added
  
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 12 Jul 2017 11:37:23 -0500

rpy2 (2.8.5-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 23 Dec 2016 15:10:32 -0600

rpy2 (2.8.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version 
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 01 Dec 2016 13:37:35 -0600

rpy2 (2.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 11 Sep 2016 20:13:55 -0500

rpy2 (2.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 15 Jun 2016 19:50:20 -0500

rpy2 (2.8.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Standards-Version: to current version
 
  * debian/control: Remove Build-Depends: of libicu-dev now supplied by
    r-base-devs

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 28 May 2016 10:50:40 -0500

rpy2 (2.7.9-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version
  * debian/control: Add Build-Depends: of libicu-dev

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 May 2016 06:36:32 -0500

rpy2 (2.7.8-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 02 Feb 2016 20:32:13 -0600

rpy2 (2.7.7-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 17 Jan 2016 12:23:15 -0600

rpy2 (2.7.6-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Set (Build-)Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Dec 2015 22:13:12 -0600

rpy2 (2.7.4-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 08 Nov 2015 14:09:27 -0600

rpy2 (2.7.3-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Nov 2015 20:44:30 -0600

rpy2 (2.7.2-2) unstable; urgency=low

  * Applied patch by Matthias Klose to address implicit pointer
    conversion; patch has also been applied upstream (closes: #802978)

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 30 Oct 2015 19:52:06 -0500

rpy2 (2.7.2-1ubuntu1) xenial; urgency=medium

  * Avoid implicit pointer conversions.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 25 Oct 2015 20:37:31 +0200

rpy2 (2.7.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 18 Oct 2015 09:01:42 -0500

rpy2 (2.7.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 17 Oct 2015 14:31:28 -0500

rpy2 (2.7.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Sep 2015 22:35:09 -0500

rpy2 (2.6.3-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 10 Sep 2015 22:29:19 -0500

rpy2 (2.6.2-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 13 Aug 2015 21:57:21 -0500

rpy2 (2.6.1-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set (Build-)Depends: to current R version 

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 17 Jul 2015 18:05:43 -0500

rpy2 (2.6.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 08 Jun 2015 21:30:07 -0500

rpy2 (2.5.6-2) unstable; urgency=low

  * debian/control: Added python3-rpy2 entry and Build-Depends
  						      	(Closes: #782958)
  * debian/rules: Rewritten / simplified for current debhelper 9 scheme
  
  * debian/control: Removed unused Build-Depends for sphinx and latex

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 22 Apr 2015 20:00:28 -0500

rpy2 (2.5.6-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 09 Feb 2015 19:49:07 -0600



=== debian/control ===
Source: rpy2
Section: python
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.1.4
Build-Depends: debhelper (>= 9), r-base-dev (>= 3.4.4), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev
X-Python3-Version: >= 3.0
XS-Python-Version: 2.7
Vcs-Browser: https://salsa.debian.org/edd/rpy2
Vcs-Git: https://salsa.debian.org/edd/rpy2.git
Homepage: https://pypi.org/project/rpy2/

Package: python3-rpy2
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-numpy, r-base-core (>= 3.3.0), python3-jinja2
Provides: ${python3:Provides}
Suggests: python-rpy-docs
Description: Python3 interface to the GNU R language and environment (version 2)
 This Debian package provides RPy2, a very simple yet robust Python interface
 to the GNU R Programming Language. It can manage different types of R objects,
 and can execute arbitrary R functions, including graphic functions.
 Rpy2 is a rewrite and extension of the older RPy interface.

## rpy2 2.9.4

=== debian/changelog ===
rpy2 (2.9.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Jul 2018 17:33:38 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 9), r-base-dev (>= 3.4.4), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev
+Build-Depends: debhelper (>= 9), r-base-dev (>= 3.5.0), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev
 X-Python3-Version: >= 3.0
 XS-Python-Version: 2.7
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
@@ -12,7 +12,7 @@
 
 Package: python3-rpy2
 Architecture: any
-Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-numpy, r-base-core (>= 3.3.0), python3-jinja2
+Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-numpy, r-base-core (>= 3.5.0), python3-jinja2
 Provides: ${python3:Provides}
 Suggests: python-rpy-docs
 Description: Python3 interface to the GNU R language and environment (version 2)

## rpy2 2.9.5

=== doc/Makefile ===
--- 
+++ 
@@ -45,6 +45,9 @@
 	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
 	@echo "  linkcheck  to check all external links for integrity"
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
+	@echo "  rpy2demo_graphics to build the figures used in the documentation about graphics"
+	@echo "  rpy2demo_benchmark to build the figure(s) used in the documentation about benchmarks"
+	@echo "  notebooks to build the ipython notebooks used in the documentation"
 
 clean:
 	rm -rf $(BUILDDIR)/*
@@ -57,6 +60,38 @@
 
 rpy2demo_all: rpy2demo_graphics rpy2demo_benchmark
 
+# rule to build ipython notebooks from markdown
+notebooks/%.ipynb : notebooks/%.md
+	notedown \
+                 --precode 'from functools import partial' \
+                           'from rpy2.ipython import html' \
+                           'html.html_rdataframe=partial(html.html_rdataframe, table_class="docutils")' \
+                 --run \
+                 -o $@ \
+	         $<
+	cp $@ _static/notebooks/
+
+# rule to build sphinx-friendly ReST from ipython notebooks
+notebooks/%.rst : notebooks/%.ipynb
+	@cd generated_rst && jupyter nbconvert --to rst ../$< --output-dir=.
+
+# rule to build HTML render of an ipython notebook
+_static/notebooks/%.html : notebooks/%.ipynb
+	jupyter nbconvert --to html $< --output ../$@
+
+MD_NOTEBOOKS := $(basename $(notdir $(wildcard notebooks/*.md)))
+
+_ensure_notebooks_dir:
+	mkdir -p _static/notebooks
+
+_notebooks: $(MD_NOTEBOOKS:%=notebooks/%.rst)
+
+_notebooks_html: $(MD_NOTEBOOKS:%=_static/notebooks/%.html)
+
+_notebooks_rst: $(MD_NOTEBOOKS:%=notebooks/%.rst)
+
+notebooks: _ensure_notebooks_dir _notebooks _notebooks_html _notebooks_rst
+        
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo

=== debian/changelog ===
rpy2 (2.9.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 05 Dec 2018 15:07:03 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.1.4
-Build-Depends: debhelper (>= 9), r-base-dev (>= 3.5.0), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev
+Standards-Version: 4.2.1
+Build-Depends: debhelper (>= 9), r-base-dev (>= 3.5.1), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev
 X-Python3-Version: >= 3.0
 XS-Python-Version: 2.7
 Vcs-Browser: https://salsa.debian.org/edd/rpy2

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian GNU/Linux python-rpy2 package
# Copyright 2004 - 2018 by Dirk Eddelbuettel <edd@debian.org>

#buildvers       := $(shell pyversions -sv)
build3vers      := $(shell py3versions -sv)

version         := $(shell head -1 debian/changelog | perl -nle 'm/\((.*)-\d\)/ && print $$1')

showversion:
	@echo "Version is ${version}"

tarball:
	(cd .. && \
		tar czf ../$(project)_${version}.orig.tar.gz ./$(project) \
			--exclude=.svn --exclude=debian/ --exclude=.hg)

%:
	dh $@ --with python3

override_dh_auto_build:

override_dh_auto_install:
#	#dh_install -ppython-rpy2 
#	#set -e && for i in $(buildvers); do \
#	#  python$$i ./setup.py install --install-layout=deb --root $(CURDIR)/debian/python-rpy2; \
#	#done

	dh_install -ppython3-rpy2
	set -e && for i in $(build3vers); do \
	  python$$i ./setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-rpy2; \
	done

override_dh_installdocs:
	dh_installdocs -a NEWS 

#override_dh_clean:
#	dh_clean
#	rm -rf $(CURDIR)/build

## rpy2 2.9.6b0

=== debian/changelog ===
rpy2 (2.9.6b0-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.5 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Sun, 24 Feb 2019 15:45:37 +0000

rpy2 (2.9.6b0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 23 Feb 2019 14:54:11 -0600

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.2.1
-Build-Depends: debhelper (>= 9), r-base-dev (>= 3.5.1), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev
-X-Python3-Version: >= 3.0
-XS-Python-Version: 2.7
+Standards-Version: 4.3.0
+Build-Depends: debhelper (>= 9), r-base-dev (>= 3.5.2), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git
 Homepage: https://pypi.org/project/rpy2/

## rpy2 3.0.1

=== debian/changelog ===
rpy2 (3.0.1-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.5 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Wed, 06 Mar 2019 18:29:58 +0000

rpy2 (3.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Mar 2019 18:36:28 -0600

rpy2 (3.0.0-1) unstable; urgency=medium

  [Yaroslav Halchenko]
  * debian/control: Build-Depend on python3-cffi, python3-tzlocal
  * debian/patches/suppress_py2_error: removed, no longer needed
  * debian/{control,rules}: use dh-python/pybuild to build the package,
    removed custom build/install rules

  [Dirk Eddelbuettel]
  * Applying Yaroslav's patches with a big thanks!
  * New (major) upstream release
  * debian/control: Set X-Python3-Version: >= 3.6 as this new upstream
    release is only supporting Python3
  * debian/source/include-binaries: Added for cffi files

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 03 Mar 2019 19:50:00 -0600

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9), r-base-dev (>= 3.5.2), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev
+Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.5.2), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git
 Homepage: https://pypi.org/project/rpy2/

## rpy2 3.0.4

=== debian/changelog ===
rpy2 (3.0.4-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Tue, 21 May 2019 23:44:13 +0000

rpy2 (3.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 16 May 2019 17:03:41 -0500

rpy2 (3.0.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 12 May 2019 17:03:09 -0500

rpy2 (3.0.2-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 22 Apr 2019 22:19:52 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.5.2), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.6.0), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.0.5

=== debian/changelog ===
rpy2 (3.0.5-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Thu, 18 Jul 2019 18:32:28 +0000

rpy2 (3.0.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 17 Jul 2019 15:48:27 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.6.0), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.6.1), python3-all-dev (>= 3.1.2-10~), python-setuptools, python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file for the Debian GNU/Linux python-rpy2 package
# Copyright 2004 - 2018 by Dirk Eddelbuettel <edd@debian.org>

#buildvers       := $(shell pyversions -sv)
build3vers      := $(shell py3versions -sv)

version         := $(shell head -1 debian/changelog | perl -nle 'm/\((.*)-\d\)/ && print $$1')

showversion:
	@echo "Version is ${version}"

tarball:
	(cd .. && \
		tar czf ../$(project)_${version}.orig.tar.gz ./$(project) \
			--exclude=.svn --exclude=debian/ --exclude=.hg)

%:
	dh $@ --with python3 --buildsystem=pybuild

# Disable tests since not shipped by upstream
# see https://bitbucket.org/rpy2/rpy2/issues/528/please-ship-tests-along-with-the-release
override_dh_auto_test:

override_dh_installdocs:
	dh_installdocs -a NEWS

override_dh_clean:
	dh_clean
#	rm -rf $(CURDIR)/build

## rpy2 3.1.0

=== debian/changelog ===
rpy2 (3.1.0-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Mon, 02 Sep 2019 15:37:28 +0000

rpy2 (3.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 01 Sep 2019 13:46:19 -0500

rpy2 (3.0.5-3) unstable; urgency=medium

  * Source-only upload
  
  * debian/control: Set Standards-Version: to current version 

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 19 Aug 2019 06:32:44 -0500

rpy2 (3.0.5-2) unstable; urgency=medium

  * debian/control: Added python3-tzlocal to Depends	(Closes: #932413)

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 18 Jul 2019 20:28:05 -0500

## rpy2 3.2.0

=== debian/changelog ===
rpy2 (3.2.0-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Wed, 09 Oct 2019 23:11:39 +0000

rpy2 (3.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Oct 2019 21:04:00 -0500

## rpy2 3.2.1

=== debian/changelog ===
rpy2 (3.2.1-2xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Sat, 26 Oct 2019 14:06:18 +0000

rpy2 (3.2.1-2) unstable; urgency=medium

  * debian/control: Remove left-over 'python-setuptools' as the package
    has been python3-only since 3.0.0 in March		(Closes: #943256)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 23 Oct 2019 16:19:24 -0500

rpy2 (3.2.1-1) unstable; urgency=medium

  * New upstream release

  * setup.py: Relacs cffi version requirement to same one used with 3.2.0

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 22 Oct 2019 21:27:26 -0500

## rpy2 3.2.2

=== debian/changelog ===
rpy2 (3.2.2-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Wed, 06 Nov 2019 01:39:45 +0000

rpy2 (3.2.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Nov 2019 14:18:43 -0600

=== debian/control ===
Source: rpy2
Section: python
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.6.1), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
X-Python3-Version: >= 3.6
Vcs-Browser: https://salsa.debian.org/edd/rpy2
Vcs-Git: https://salsa.debian.org/edd/rpy2.git
Homepage: https://pypi.org/project/rpy2/

Package: python3-rpy2
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends}, python3-numpy, r-base-core (>= 3.5.0), python3-jinja2, python3-tzlocal
Provides: ${python3:Provides}
Suggests: python-rpy-docs
Description: Python3 interface to the GNU R language and environment (version 2)
 This Debian package provides RPy2, a very simple yet robust Python interface
 to the GNU R Programming Language. It can manage different types of R objects,
 and can execute arbitrary R functions, including graphic functions.
 Rpy2 is a rewrite and extension of the older RPy interface.

## rpy2 3.2.5

=== debian/changelog ===
rpy2 (3.2.5-1xenial0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Tue, 28 Jan 2020 14:30:13 +0000

rpy2 (3.2.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 26 Jan 2020 19:37:25 -0600

rpy2 (3.2.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 15 Dec 2019 08:39:05 -0600

## rpy2 3.2.6

=== doc/Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # User-friendly check for sphinx-build
 ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
-$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
+$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don\'t have Sphinx installed, grab it from http://sphinx-doc.org/)
 endif
 
 # Internal variables.
@@ -22,7 +22,7 @@
 .PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext
 
 help:
-	@echo "Please use \`make <target>' where <target> is one of"
+	@echo "Please use \'make <target>\' where <target> is one of"
 	@echo "  html       to make standalone HTML files"
 	@echo "  dirhtml    to make HTML files named index.html in directories"
 	@echo "  singlehtml to make a single large HTML file"
@@ -69,7 +69,7 @@
                  --run \
                  -o $@ \
 	         $<
-	cp $@ _static/notebooks/
+	cp -p $@ _static/notebooks/
 
 # rule to build sphinx-friendly ReST from ipython notebooks
 notebooks/%.rst : notebooks/%.ipynb
@@ -91,7 +91,7 @@
 _notebooks_rst: $(MD_NOTEBOOKS:%=notebooks/%.rst)
 
 notebooks: _ensure_notebooks_dir _notebooks _notebooks_html _notebooks_rst
-        
+
 html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	@echo

=== debian/changelog ===
rpy2 (3.2.6-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 04 Feb 2020 09:25:08 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.4.0
-Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.6.1), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Standards-Version: 4.5.0
+Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.6.2), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

=== debian/rules ===
--- 
+++ 
@@ -28,3 +28,6 @@
 override_dh_clean:
 	dh_clean
 #	rm -rf $(CURDIR)/build
+
+override_dh_auto_clean:
+	echo "Skipping"

## rpy2 3.3.1

=== debian/changelog ===
rpy2 (3.3.1-1.1604.0) xenial; urgency=medium

  * Compilation for Ubuntu 16.04.6 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler < 10
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Wed, 15 Apr 2020 19:39:13 +0000

rpy2 (3.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Apr 2020 20:36:45 -0500

rpy2 (3.2.7-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 22 Mar 2020 12:52:00 -0500

## rpy2 3.3.2

=== debian/changelog ===
rpy2 (3.3.2-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Tue, 21 Apr 2020 12:04:58 +0000

rpy2 (3.3.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 20 Apr 2020 19:23:12 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.6.2), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.6.3), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.3.3

=== debian/changelog ===
rpy2 (3.3.3-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Sat, 23 May 2020 15:18:59 +0000

rpy2 (3.3.3-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 May 2020 12:21:21 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 3.6.3), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 4.0.0), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.3.4

=== debian/changelog ===
rpy2 (3.3.4-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Mon, 22 Jun 2020 13:23:24 +0000

rpy2 (3.3.4-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Jun 2020 18:52:16 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 4.0.0), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 4.0.1), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.3.5

=== debian/changelog ===
rpy2 (3.3.5-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 07 Jul 2020 22:15:38 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 4.0.1), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 4.0.2), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.4.1

=== debian/changelog ===
rpy2 (3.4.1-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.1 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Wed, 06 Jan 2021 23:56:48 +0000

rpy2 (3.4.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 02 Jan 2021 22:40:40 -0600

rpy2 (3.3.6-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Switch to virtual debhelper-compat (= 11)
  * debian/compat: Removed

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 04 Oct 2020 00:02:38 -0500

## rpy2 3.4.2

=== requirements.txt ===
cffi>=1.10.0
jinja2
pytz
tzlocal

=== debian/changelog ===
rpy2 (3.4.2-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 10 Jan 2021 11:45:37 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: debhelper (>= 9), dh-python, r-base-dev (>= 4.0.2), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Standards-Version: 4.5.1
+Build-Depends: debhelper-compat (= 11), dh-python, r-base-dev (>= 4.0.3), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.4.3

=== debian/changelog ===
rpy2 (3.4.3-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.2 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Sun, 28 Mar 2021 19:53:49 +0000

rpy2 (3.4.3-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 21 Mar 2021 09:22:20 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 11), dh-python, r-base-dev (>= 4.0.3), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper-compat (= 11), dh-python, r-base-dev (>= 4.0.4), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.4.4

=== debian/changelog ===
rpy2 (3.4.4-1.1804.0) bionic; urgency=medium

  * Compilation for Ubuntu 18.04.5 LTS
  * Remove dependency for R 4.0.0 for backports in Ubuntu
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev for release
  * debian/control, debian/rules, debian/compat: revert to a version of
    debheler <= 10

 -- Michael Rutter <marutter@gmail.com>  Sat, 01 May 2021 16:11:03 +0000

rpy2 (3.4.4-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 25 Apr 2021 09:44:49 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 11), dh-python, r-base-dev (>= 4.0.4), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: , dh-python, r-base-dev, dh-r, python3-all-dev, python3-all, python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.4.5

=== debian/changelog ===
rpy2 (3.4.5-2) unstable; urgency=medium

  * Simple rebuild for unstable following Debian 11 release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Aug 2021 13:49:32 -0500

rpy2 (3.4.5-1) experimental; urgency=medium

  * New upstream release (to experimental during freeze)

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 07 Jun 2021 21:39:35 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Standards-Version: 4.5.1
-Build-Depends: , dh-python, r-base-dev, dh-r, python3-all-dev, python3-all, python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Build-Depends: debhelper-compat (= 11), dh-python, r-base-dev (>= 4.1.1), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git

## rpy2 3.5.1

=== debian/changelog ===
rpy2 (3.5.1-1.2004.0) focal; urgency=medium

  * Compilation for Ubuntu 20.04.4 LTS
  * debian/control, debian/rules, debian/compat: revert to a version of
    python-all-dev < 2.6.6-3

 -- Michael Rutter <marutter@gmail.com>  Tue, 03 May 2022 01:22:08 +0000

rpy2 (3.5.1-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Update homepage value

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Apr 2022 18:49:56 -0500

rpy2 (3.5.0-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 04 Apr 2022 21:42:23 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 4.5.1
-Build-Depends: debhelper-compat (= 11), dh-python, r-base-dev (>= 4.1.1), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
+Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 11), dh-python, r-base-dev (>= 4.1.3), python3-all-dev (>= 3.1.2-10~), python3-setuptools, python3-numpy-dev, python3-cffi, python3-tzlocal
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://salsa.debian.org/edd/rpy2
 Vcs-Git: https://salsa.debian.org/edd/rpy2.git
-Homepage: https://pypi.org/project/rpy2/
+Homepage: https://rpy2.github.io/
 
 Package: python3-rpy2
 Architecture: any
